import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { BehaviorSubject } from 'rxjs';

@Injectable()
export class SubjectService {
  private isLang = new BehaviorSubject<any>(null);


  changeLang(langData: any) {
    this.isLang.next(langData);
  }

  getLangData(): Observable<any> {
    return this.isLang.asObservable();
  }



}
